*******************************************
*
* Link Library fr Janus.library aus
*
* Amiga INTERN (DB)
*
*******************************************

	XREF	_JanusBase
	XDEF	_AddService
	XDEF	_CallService
	XDEF	_DeleteService
	XDEF	_GetService
	XDEF	_ReleaseService
	XDEF	_UnlockServiceData
	XDEF	_LockServiceData
	XDEF	_AllocJanusMem
	XDEF	_AllocJRemember
	XDEF	_AllocServiceMem
	XDEF	_AttachJRemember
	XDEF	_FreeJanusMem
	XDEF	_FreeJRemember
	XDEF	_FreeServiceMem
	XDEF	_GetJanusStart
	XDEF	_JanusMemBase
	XDEF	_JanusMemToOffset
	XDEF	_JanusMemType
	XDEF	_JanusOffsetToMem
	XDEF	_JBCopy
	XDEF	_JanusLock
	XDEF	_JanusLockAttempt
	XDEF	_JanusUnlock
	XDEF	_MakeBytePtr
	XDEF	_MakeWordPtr
	XDEF	_TranslateJanusPtr
	XDEF	_CheckJanusInt
	XDEF	_CleanupJanusSig
	XDEF	_GetParamOffset
	XDEF	_SendJanusInt
	XDEF	_SetJanusEnable
	XDEF	_SetJanusHandler
	XDEF	_SetJanusRequest
	XDEF	_SetParamOffset
	XDEF	_SetupJanusSig
	CSEG
_AddService:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	movem.l	12(a7),d0-d5
	jsr	-138(a6)
	movea.l	(a7)+,a6
	rts
_CallService:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	jsr	-150(a6)
	movea.l	(a7)+,a6
	rts
_DeleteService:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	jsr	-162(a6)
	movea.l	(a7)+,a6
	rts
_GetService:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	movem.l	12(a7),d0-d3
	jsr	-144(a6)
	movea.l	(a7)+,a6
	rts
_ReleaseService:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	jsr	-156(a6)
	movea.l	(a7)+,a6
	rts
_UnlockServiceData:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	jsr	-234(a6)
	movea.l	(a7)+,a6
	rts
_LockServiceData:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	jsr	-228(a6)
	movea.l	(a7)+,a6
	rts
_AllocJanusMem:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	movem.l	8(a7),d0-d1
	jsr	-60(a6)
	movea.l	(a7)+,a6
	rts
_AllocJRemember:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	movem.l	12(a7),d0-d1
	jsr	-192(a6)
	movea.l	(a7)+,a6
	rts
_AllocServiceMem:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	movem.l	12(a7),d0-d1
	jsr	-210(a6)
	movea.l	(a7)+,a6
	rts
_AttachJRemember:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	movem.l	8(a7),a0-a1
	jsr	-204(a6)
	movea.l	(a7)+,a6
	rts
_FreeJanusMem:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a1
	move.l	12(a7),d0
	jsr	-66(a6)
	movea.l	(a7)+,a6
	rts
_FreeJRemember:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	move.l	12(a7),d0
	jsr	-198(a6)
	movea.l	(a7)+,a6
	rts
_FreeServiceMem:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	movem.l	8(a7),a0-a1
	jsr	-216(a6)
	movea.l	(a7)+,a6
	rts
_GetJanusStart:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	jsr	-102(a6)
	movea.l	(a7)+,a6
	rts
_JanusMemBase:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),d0
	jsr	-72(a6)
	movea.l	(a7)+,a6
	rts
_JanusMemToOffset:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),d0
	jsr	-84(a6)
	movea.l	(a7)+,a6
	rts
_JanusMemType:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),d0
	jsr	-78(a6)
	movea.l	(a7)+,a6
	rts
_JanusOffsetToMem:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	movem.l	8(a7),d0-d1
	jsr	-168(a6)
	movea.l	(a7)+,a6
	rts
_JBCopy:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	movem.l	8(a7),a0-a1
	move.l	16(a7),d0
	jsr	-132(a6)
	movea.l	(a7)+,a6
	rts
_JanusLock:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	jsr	-120(a6)
	movea.l	(a7)+,a6
	rts
_JanusLockAttempt:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	jsr	-222(a6)
	movea.l	(a7)+,a6
	rts
_JanusUnlock:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	jsr	-126(a6)
	movea.l	(a7)+,a6
	rts
_MakeBytePtr:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	jsr	-180(a6)
	movea.l	(a7)+,a6
	rts
_MakeWordPtr:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	jsr	-186(a6)
	movea.l	(a7)+,a6
	rts
_TranslateJanusPtr:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	move.l	12(a7),d0
	jsr	-174(a6)
	movea.l	(a7)+,a6
	rts
_CheckJanusInt:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),d0
	jsr	-54(a6)
	movea.l	(a7)+,a6
	rts
_CleanupJanusSig:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	jsr	-114(a6)
	movea.l	(a7)+,a6
	rts
_GetParamOffset:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),d0
	jsr	-90(a6)
	movea.l	(a7)+,a6
	rts
_SendJanusInt:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),d0
	jsr	-48(a6)
	movea.l	(a7)+,a6
	rts
_SetJanusEnable:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	movem.l	8(a7),d0-d1
	jsr	-36(a6)
	movea.l	(a7)+,a6
	rts
_SetJanusHandler:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),d0
	move.l	12(a7),a1
	jsr	-30(a6)
	movea.l	(a7)+,a6
	rts
_SetJanusRequest:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	movem.l	8(a7),d0-d1
	jsr	-42(a6)
	movea.l	(a7)+,a6
	rts
_SetParamOffset:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	movem.l	8(a7),d0-d1
	jsr	-96(a6)
	movea.l	(a7)+,a6
	rts
_SetupJanusSig:
	move.l	a6,-(a7)
	movea.l	_JanusBase,a6
	move.l	8(a7),a0
	movem.l	12(a7),d0-d3
	jsr	-108(a6)
	movea.l	(a7)+,a6
	rts
	end
